from selenium import webdriver
from selenium.webdriver.firefox.service import Service
from selenium.webdriver.firefox.options import Options
from selenium.webdriver.common.by import By
import os
import time

# Browser setting
geckodriver_path = r"C:\Projects\geckodriver.exe"  # Pot do geckodriver.exe
firefox_service = Service(geckodriver_path)

# Browser settings (hidden windows)
firefox_options = Options()
# firefox_options.add_argument("--headless")  # Zagon brez GUI

# Browser initialization
driver = webdriver.Firefox(service=firefox_service, options=firefox_options)

try:
    # Open IMDb page
    url = "https://www.imdb.com/title/tt0147800/releaseinfo/#akas"
    driver.get(url)
    print("Page loaded.")

    # Wait for the page to load
    time.sleep(5)

    # Get AKA addresses
    aka_titles = driver.find_elements(By.XPATH, "//div[@data-testid='sub-section-akas']//span[@class='ipc-metadata-list-item__list-content-item']")
    print("\nAKA Titles:")

    # Use set to remove duplicates
    unique_titles = set()  # Set to store unique addresses
    for title in aka_titles:
        unique_titles.add(title.text)

    # Path to output file
    script_dir = os.path.dirname(os.path.abspath(__file__))  # Current folder
    output_file = os.path.join(script_dir, "aka_titles.psf")  # You can change the extension to .txt if you want

    # Saving unique addresses to a file
    with open(output_file, mode="w", encoding="utf-8") as file:
        for title in sorted(unique_titles):  # Sort for easier readability (optional)
            print(title)
            file.write(title + "\n")

    print(f"Data successfully saved to file: {output_file}")

finally:
    # Zapri brskalnik
    driver.quit()