from selenium import webdriver
from selenium.webdriver.firefox.service import Service
from selenium.webdriver.common.by import By
import time

# Path to geckodriver
gecko_path = "C:/Projects/geckodriver.exe"

# Set up the browser
service = Service(gecko_path)
driver = webdriver.Firefox(service=service)

try:
    # Open IMDb page
    url = "https://www.imdb.com/title/tt0147800/releaseinfo/#akas"
    driver.get(url)
    print("Page loaded.")

    # Allow time for the page to load
    time.sleep(5)

    # Extract release dates
    release_dates = driver.find_elements(By.XPATH, "//div[@data-testid='sub-section-releases']//span[@class='ipc-metadata-list-item__list-content-item']")
    print("\nRelease Dates:")
    if release_dates:
        for date in release_dates:
            print(date.text)
    else:
        print("No release dates found.")

    # Extract AKA titles
    aka_titles = driver.find_elements(By.XPATH, "//div[@data-testid='sub-section-akas']//span[@class='ipc-metadata-list-item__list-content-item']")
    print("\nAKA Titles:")
    if aka_titles:
        for title in aka_titles:
            print(title.text)
    else:
        print("No AKA titles found.")

finally:
    # Close the browser
    driver.quit()